Skip to content

chore(deps): update dependency bulma to v1

Renovate Bot requested to merge renovate/bulma-1.x into main

This MR contains the following updates:

Package Type Update Change
bulma (source) dependencies major ^0.9.4 -> ^1.0.0

Release Notes

jgthms/bulma (bulma)

v1.0.1

Compare Source

Bug fixes
  • Fix #​3755: .select colors
  • Fix #​3736: include helpers in "No Dark Mode" version
  • Fix #​3744: build non-minified versions
  • Fix #​3747: ability to nest fixed grids
  • Fix #​3759: remove unused .skeleton class
  • Fix #​3786: fix horizontal padding of rounded buttons
Documentation fixes
  • Fix #​3725
  • Fix #​3720
  • Update online documentation link in README
  • Update migrating-to-v1.html
  • Fix #​3735
  • Fix #​3729: explain how to use Bulma in a modular way
  • Fix #​3785: make use of the @prefers-reduced-motion setting
  • Fix #​3758: broken links for 0.9.4 version
  • Fix #​3760: fix form controls typo
Improvements
  • Fix #​3737: Move sass to devDependencies

v1.0.0

Compare Source

Bulma v1 is a full rewrite of the framework using Dart Sass, which is the the primary implementation of Sass. While this affects a few development details, everything has been done to make the transition as easy as possible.


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever MR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this MR and you won't be reminded about this update again.


  • If you want to rebase/retry this MR, check this box

This MR has been generated by Renovate Bot.

Edited by Renovate Bot

Merge request reports